Bug 116314 - 'gkrellmd' is running as 'nobody' user
'gkrellmd' is running as 'nobody' user
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gkrellm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-19 18:33 EST by Enrico Scholz
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 06:11:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-02-19 18:33:46 EST
Description of problem:

| # ps axu
| nobody   ... /usr/sbin/gkrellmd -d
  ~~~~~~

(Production-)services should *never* run as 'nobody' since every other
'nobody' process could make bad things with it.

I recommend to create a dedicated user for gkrellmd.


Version-Release number of selected component (if applicable):

gkrellm-daemon-2.1.24-2
Comment 1 Karsten Hopp 2004-03-11 06:11:20 EST
fixed in gkrellm-daemon-2.1.28-2 

Note You need to log in before you can comment on or make changes to this bug.